#!/bin/sh

TEST_TIME=10

run_mutex()
{
	for((a=0; a<TEST_TIME; a++))
	do
		time ./tmutex
	done	
}

mkdir debugfs
mount -t debugfs none debugfs

echo > debugfs/tracing/set_event
echo "Run mutex with trace events disabled..." 
run_mutex

echo lock:* > debugfs/tracing/set_event
echo "Run mutex with lockdep events enabled..."
run_mutex

umount debugfs
rmdir debugfs
